Bug 91387 - ip_vs_*.o modules missing from kernel RPM
Summary: ip_vs_*.o modules missing from kernel RPM
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 92216 97115 97668 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-22 06:42 UTC by Mihnea Stoenescu
Modified: 2007-04-18 16:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mihnea Stoenescu 2003-05-22 06:42:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The IPVS modules are not included in the 2.4.20-13.7 binary RPM, no explanation
given.

Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7

How reproducible:
Always

Steps to Reproduce:
1. [root@qa root]# uname -a
Linux qa 2.4.20-13.7 #1 Mon May 12 12:31:44 EDT 2003 i686 unknown

2. [root@qa root]# modprobe ip_vs_lc
modprobe: Can't locate module ip_vs_wlc


Actual Results:  The IPVS modules could not be found.

Expected Results:  The IPVS modules should have been found :) - or at least
there should have been an explanation of their absence in the RPM header.

Additional info:

// Testing on a production box running kernel 2.4.18-27.7.x
1. [root@prod root]# rpm -q kernel
kernel-2.4.18-27.7.x

2. [root@prod root]# rpm -ql kernel |grep vs
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_dh.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_ftp.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_lblc.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_lblcr.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_lc.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_rr.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_sh.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_wlc.o
/lib/modules/2.4.18-27.7.x/kernel/net/ipv4/ipvs/ip_vs_wrr.o

// Testing on a qa box running kernel 2.4.20-13.7
3. [root@qa root]# rpm -q kernel
kernel-2.4.20-13.7

4. [root@qa root]# rpm -ql kernel |grep vs
( no results )

Comment 1 Mihnea Stoenescu 2003-05-22 07:10:40 UTC
Errata: under "Steps to Reproduce", step 2 should be:

2. [root@qa root]# modprobe ip_vs_wlc
modprobe: Can't locate module ip_vs_wlc


Comment 2 acount closed by user 2003-05-22 12:58:02 UTC
It is a pity but redhat doesn't put any extra technology(ipvs,mtx,...) into rhl
anymore , you need to pay for it. Buy a enterprise distribution or download a
kernel-*.e and build it yourself.

Comment 3 Arjan van de Ven 2003-05-22 13:01:10 UTC
IPVS is no longer included because it seems almost nobody uses it and it needs
quite some work to become production ready (again); MTX isn't included because
it's plain broken on a very fundamental level.

Comment 4 acount closed by user 2003-05-24 14:33:35 UTC
I would like to see a more detailed kernel report in new errata.
Now it is very hard to know what big changes brings every new kernel. There are
features deletes, new drivers, addons... 
I know that it's impossible to put a report about all changes. I am  talking
about big features or changes in critical subsystems like storage(ide, scsi..),
net, mm...
This will erase a good number of bugzilla bugs (like this one, bcm5700 driver,
or linux-abi...), and a headache to some sysadmin.

-kernel is the most critical distribution package and it should be handled with
fond-


-thanks-

Comment 5 giulioo 2003-06-19 11:58:41 UTC
*** Bug 92216 has been marked as a duplicate of this bug. ***

Comment 6 giulioo 2003-06-19 11:59:17 UTC
*** Bug 97115 has been marked as a duplicate of this bug. ***

Comment 7 giulioo 2003-06-19 11:59:47 UTC
*** Bug 97668 has been marked as a duplicate of this bug. ***

Comment 8 Dave Weis 2003-10-07 16:53:44 UTC
Is there going to be any update to this problem? The situation is the same in
RH9. I would like to at least get rh8.0 back to the condition it was before ipvs
was removed.


Comment 9 Bugzilla owner 2004-09-30 15:40:59 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.